*** ../tcl7.0b1/./compat/unistd.h	Thu Jun  3 15:08:41 1993
--- ./compat/unistd.h	Fri Jul 16 09:32:52 1993
***************
*** 12,18 ****
   * software for any purpose.  It is provided "as is" without
   * express or implied warranty.
   *
!  * $Header: /user6/ouster/tcl/compat/RCS/unistd.h,v 1.1 93/06/03 15:08:39 ouster Exp $
   */
  
  #ifndef _UNISTD
--- 12,18 ----
   * software for any purpose.  It is provided "as is" without
   * express or implied warranty.
   *
!  * $Header: /user6/ouster/tcl/compat/RCS/unistd.h,v 1.2 93/07/16 09:32:43 ouster Exp $
   */
  
  #ifndef _UNISTD
***************
*** 77,83 ****
  extern int ttyslot _ANSI_ARGS_((void));
  extern int truncate _ANSI_ARGS_((CONST char *path, unsigned long length));
  extern int umask _ANSI_ARGS_((int cmask));
! extern _VoidPtr	valloc _ANSI_ARGS_((size_t bytes));
  extern int vfork _ANSI_ARGS_((void));
  #endif /* _POSIX_SOURCE */
  
--- 77,83 ----
  extern int ttyslot _ANSI_ARGS_((void));
  extern int truncate _ANSI_ARGS_((CONST char *path, unsigned long length));
  extern int umask _ANSI_ARGS_((int cmask));
! extern VOID valloc _ANSI_ARGS_((size_t bytes));
  extern int vfork _ANSI_ARGS_((void));
  #endif /* _POSIX_SOURCE */
  
*** ../tcl7.0b1/./tests/expr.test	Wed Jul  7 16:23:14 1993
--- ./tests/expr.test	Mon Jul 12 11:35:07 1993
***************
*** 24,30 ****
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/expr.test,v 1.22 93/07/07 16:21:32 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
--- 24,30 ----
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/expr.test,v 1.23 93/07/12 11:34:55 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
***************
*** 309,316 ****
      set y 10
      expr {$x + $y}
  } {5}
! test expr-22.3 {embedded commands and variables} {expr {[set a] - 14}} 2
! test expr-22.4 {embedded commands and variables} {
      list [catch {expr {12 - [bad_command_name]}} msg] $msg
  } {1 {invalid command name: "bad_command_name"}}
  
--- 309,321 ----
      set y 10
      expr {$x + $y}
  } {5}
! test expr-22.3 {embedded variables} {
!     set x "  -5"
!     set y "  +10"
!     expr {$x + $y}
! } {5}
! test expr-22.4 {embedded commands and variables} {expr {[set a] - 14}} 2
! test expr-22.5 {embedded commands and variables} {
      list [catch {expr {12 - [bad_command_name]}} msg] $msg
  } {1 {invalid command name: "bad_command_name"}}
  
*** ../tcl7.0b1/./tests/format.test	Wed Jul  7 16:21:32 1993
--- ./tests/format.test	Sat Jul 17 15:25:07 1993
***************
*** 24,30 ****
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/format.test,v 1.14 93/07/07 16:21:15 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
--- 24,30 ----
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/format.test,v 1.16 93/07/17 15:25:01 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
***************
*** 57,66 ****
      } {   6   34 16923 4294967284 -1 0}
  }
  test format-1.4 {integer formatting} {
!     format "%-4d %-4d %-4d %-4ld" 6 34 16923 -12 -1
  } {6    34   16923 -12 }
  test format-1.5 {integer formatting} {
!     format "%04d %04d %04d %04d" 6 34 16923 -12 -1
  } {0006 0034 16923 -012}
  test format-1.6 {integer formatting} {
      format "%00*d" 6 34
--- 57,66 ----
      } {   6   34 16923 4294967284 -1 0}
  }
  test format-1.4 {integer formatting} {
!     format "%-4d %-4i %-4d %-4ld" 6 34 16923 -12 -1
  } {6    34   16923 -12 }
  test format-1.5 {integer formatting} {
!     format "%04d %04d %04d %04i" 6 34 16923 -12 -1
  } {0006 0034 16923 -012}
  test format-1.6 {integer formatting} {
      format "%00*d" 6 34
***************
*** 339,347 ****
      test format-9.3 {"h" format specifier} {
  	format %hd 0x10000
      } 0
-     test format-9.4 {"h" format specifier} {
- 	format %hD 0x10000
-     } 65536
  }
  
  test format-10.1 {XPG3 %$n specifiers} {
--- 339,344 ----
*** ../tcl7.0b1/./tests/incr.test	Wed Jun 16 10:58:09 1993
--- ./tests/incr.test	Mon Jul 12 11:34:52 1993
***************
*** 24,30 ****
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/incr.test,v 1.4 93/06/16 10:57:48 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
--- 24,30 ----
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/incr.test,v 1.5 93/07/12 11:34:43 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
***************
*** 38,43 ****
--- 38,51 ----
      set x 106
      list [incr x -5] $x
  } {101 101}
+ test incr-1.3 {basic incr operation} {
+     set x "  -106"
+     list [incr x 1] $x
+ } {-105 -105}
+ test incr-1.3 {basic incr operation} {
+     set x "  +106"
+     list [incr x 1] $x
+ } {107 107}
  
  test incr-2.1 {incr errors} {
      list [catch incr msg] $msg
*** ../tcl7.0b1/./tests/proc.test	Wed Jun 16 15:59:07 1993
--- ./tests/proc.test	Fri Jul 16 15:27:56 1993
***************
*** 24,30 ****
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/proc.test,v 1.13 93/06/16 15:58:55 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
--- 24,30 ----
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/proc.test,v 1.14 93/07/16 15:27:50 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
***************
*** 279,287 ****
      catch {return}
  } 2
  test proc-5.9 {error conditions} {
!     list [catch {return 1 2 3} msg] $msg
! } {1 {wrong # args: should be "return ?value? ?code?"}}
  test proc-5.10 {error conditions} {
      list [catch {global} msg] $msg
  } {1 {wrong # args: should be "global varName ?varName ...?"}}
  proc tproc {} {
--- 279,290 ----
      catch {return}
  } 2
  test proc-5.9 {error conditions} {
!     list [catch {return 1 2 3 4} msg] $msg
! } {1 {wrong # args: should be "return ?-code code? ?string?"}}
  test proc-5.10 {error conditions} {
+     list [catch {return -coed 3} msg] $msg
+ } {1 {wrong # args: should be "return ?-code code? ?string?"}}
+ test proc-5.11 {error conditions} {
      list [catch {global} msg] $msg
  } {1 {wrong # args: should be "global varName ?varName ...?"}}
  proc tproc {} {
***************
*** 288,297 ****
      set a 22
      global a
  }
! test proc-5.11 {error conditions} {
      list [catch {tproc} msg] $msg
  } {1 {variable "a" already exists}}
! test proc-5.12 {error conditions} {
      catch {rename tproc {}}
      catch {
  	proc tproc {x {} z} {return foo}
--- 291,300 ----
      set a 22
      global a
  }
! test proc-5.12 {error conditions} {
      list [catch {tproc} msg] $msg
  } {1 {variable "a" already exists}}
! test proc-5.13 {error conditions} {
      catch {rename tproc {}}
      catch {
  	proc tproc {x {} z} {return foo}
***************
*** 298,304 ****
      }
      list [catch {tproc 1} msg] $msg
  } {1 {invalid command name: "tproc"}}
! test proc-5.13 {error conditions} {
      proc tproc {} {
  	set a 22
  	error "error in procedure"
--- 301,307 ----
      }
      list [catch {tproc 1} msg] $msg
  } {1 {invalid command name: "tproc"}}
! test proc-5.14 {error conditions} {
      proc tproc {} {
  	set a 22
  	error "error in procedure"
***************
*** 306,312 ****
      }
      list [catch tproc msg] $msg
  } {1 {error in procedure}}
! test proc-5.14 {error conditions} {
      proc tproc {} {
  	set a 22
  	error "error in procedure"
--- 309,315 ----
      }
      list [catch tproc msg] $msg
  } {1 {error in procedure}}
! test proc-5.15 {error conditions} {
      proc tproc {} {
  	set a 22
  	error "error in procedure"
***************
*** 320,326 ****
      (procedure "tproc" line 3)
      invoked from within
  "tproc"}
! test proc-5.15 {error conditions} {
      proc tproc {} {
  	set a 22
  	break
--- 323,329 ----
      (procedure "tproc" line 3)
      invoked from within
  "tproc"}
! test proc-5.16 {error conditions} {
      proc tproc {} {
  	set a 22
  	break
***************
*** 331,337 ****
  } {invoked "break" outside of a loop
      while executing
  "tproc"}
! test proc-5.16 {error conditions} {
      proc tproc {} {
  	set a 22
  	continue
--- 334,340 ----
  } {invoked "break" outside of a loop
      while executing
  "tproc"}
! test proc-5.17 {error conditions} {
      proc tproc {} {
  	set a 22
  	continue
***************
*** 364,370 ****
  } 45
  
  proc tproc code {
!     return abc $code
  }
  test proc-7.1 {return with special completion code} {
      list [catch {tproc ok} msg] $msg
--- 367,373 ----
  } 45
  
  proc tproc code {
!     return -code $code abc
  }
  test proc-7.1 {return with special completion code} {
      list [catch {tproc ok} msg] $msg
***************
*** 396,398 ****
--- 399,407 ----
      }
      list [catch tproc2 msg] $msg
  } {0 abc}
+ test proc-7.10 {return with special completion code} {
+     proc tproc2 {} {
+ 	return -code error
+     }
+     list [catch tproc2 msg] $msg
+ } {1 {}}
